# -*- encoding: utf-8 -*-
# stub: mechanize 0.9.3 ruby lib

Gem::Specification.new do |s|
  s.name = "mechanize".freeze
  s.version = "0.9.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Aaron Patterson".freeze, "Mike Dalessio".freeze]
  s.date = "2009-06-08"
  s.description = "The Mechanize library is used for automating interaction with websites. \nMechanize automatically stores and sends cookies, follows redirects,\ncan follow links, and submit forms.  Form fields can be populated and\nsubmitted.  Mechanize also keeps track of the sites that you have visited as\na history.".freeze
  s.email = ["aaronp@rubyforge.org".freeze, "mike.dalessio@gmail.com".freeze]
  s.extra_rdoc_files = ["Manifest.txt".freeze, "CHANGELOG.rdoc".freeze, "EXAMPLES.rdoc".freeze, "FAQ.rdoc".freeze, "GUIDE.rdoc".freeze, "LICENSE.rdoc".freeze, "README.rdoc".freeze]
  s.files = ["CHANGELOG.rdoc".freeze, "EXAMPLES.rdoc".freeze, "FAQ.rdoc".freeze, "GUIDE.rdoc".freeze, "LICENSE.rdoc".freeze, "Manifest.txt".freeze, "README.rdoc".freeze]
  s.homepage = "http://mechanize.rubyforge.org/".freeze
  s.rdoc_options = ["--main".freeze, "README.rdoc".freeze]
  s.rubygems_version = "3.0.3".freeze
  s.summary = "Mechanize provides automated web-browsing".freeze

  s.installed_by_version = "3.0.3" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 1.2.1"])
      s.add_development_dependency(%q<hoe>.freeze, [">= 1.12.2"])
    else
      s.add_dependency(%q<nokogiri>.freeze, [">= 1.2.1"])
      s.add_dependency(%q<hoe>.freeze, [">= 1.12.2"])
    end
  else
    s.add_dependency(%q<nokogiri>.freeze, [">= 1.2.1"])
    s.add_dependency(%q<hoe>.freeze, [">= 1.12.2"])
  end
end
